### Hierarchy

- ElementService

## Index

### Constructors

- constructor

### Properties

- singleton
- tick

### Methods

- visibility

## Constructors

### constructor

- new ElementService(singleton: AnimationFrameServiceSingleton): ElementService

- - Defined in src/utils/element.service.ts:10

  #### Parameters

  - ##### singleton: AnimationFrameServiceSingleton

  #### Returns ElementService

## Properties

### Protected singleton

singleton: AnimationFrameServiceSingleton

- Defined in src/utils/element.service.ts:12

### Protected tick

tick: Observable<number>

- Defined in src/utils/element.service.ts:10

## Methods

### visibility

- visibility(target: HTMLElement, parentElement?: HTMLElement): Observable<ElementVisibilityEvent>

- - Defined in src/utils/element.service.ts:16

  #### Parameters

  - ##### target: HTMLElement

  - ##### Default value parentElement: HTMLElement = target

  #### Returns Observable<ElementVisibilityEvent>

Generated using TypeDoc